#!/bin/bash

##
## Execute proper command to install an init script
##
InstallInitScript()
{
    INIT_SCRIPT_NAME="${1}"
	
	if [ -x /sbin/chkconfig ];
    then
        # this is a Red Hat type install
        /sbin/chkconfig --add ${INIT_SCRIPT_NAME}

    	# check for lsb install
    elif [ -x /usr/lib/lsb/install_initd ];
    then
        # this is an lsb install
        /usr/lib/lsb/install_initd /etc/init.d/${INIT_SCRIPT_NAME} >/dev/null 2>&1
    fi
    return 0
}


InstallInitScript  dcismeng 

exit 0
